Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Equinox Luna SR1 patch in RAP 3.0
Equinox Luna SR1 patch in RAP 3.0 [message #1473270] Fri, 14 November 2014 13:33 Go to next message
Arnaud MERGEY is currently offline Arnaud MERGEYFriend
Messages: 235
Registered: March 2010
Location: France
Senior Member
Hello,

it seems Equinox Luna SR1 is provided with RAP 3.0 (in org.eclipse.rap.equinox.target.feature)

Equinox Luna SR1 has introduced this bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=445122, considered critical so Eclipse provides a patch here
http://download.eclipse.org/eclipse/updates/4.4/

The issue is, equinox put non String values in System Properties, so if a bundle (yours or a third-party) iterates through System properties, it throws ClassCastException

In my opinion Server-Side application can be impacted, as there are thrid-party bundles suffering from this bug like pax-logging for example, so RAP 3.0 should provides patch feature as well with Lunas SR1 Equinox, or at least document the availability of the patch in 4.4 update site.

Regards,
Arnaud

[Updated on: Fri, 14 November 2014 13:48]

Report message to a moderator

Re: Equinox Luna SR1 patch in RAP 3.0 [message #1473391 is a reply to message #1473270] Fri, 14 November 2014 15:39 Go to previous message
Markus Knauer is currently offline Markus KnauerFriend
Messages: 152
Registered: July 2009
Senior Member

Hi Arnaud,

you are correct, this could be an issue, I haven't thought about it yet.
You were speaking about RAP 3.0... today we release M3 which is available in two different flavours.

There's the p2 repository http://download.eclipse.org/rt/rap/3.0/M3-20141110-1349/ which is based on Luna SR1 and may be affected by this problem. What we could plan for our next 3.0 milestone is using the patched bundle org.eclipse.osgi_3.10.2.v20141020-1740.jar instead of the version from Eclipse Platform 4.4.1.

And then there is the 'Mars' (or Eclipse Platform 4.5) based stream that we are contributing to the next Simultaneous Release. This contribution contains the updated bundle from the 4.5-stream (in M3 it is org.eclipse.osgi_3.10.100.v20141020-1414.jar). To the best of my knowledge the fix is already included in it. You can access this Mars-based version from our p2 repository (http://download.eclipse.org/rt/rap/3.0/M3-20141110-1349.mars), or since a few minutes from http://download.eclipse.org/releases/mars/.

I assume early adopters of the 3.0 development stream are skilled enough to include the patched OSGi bundle, if they are facing this problem. At least, that is my hope.

But we need to discuss if we need to do something for RAP 2.3.1 which is based on Luna SR1, too. And this is a released version that many people will use in production.

Regards,
Markus


--

Twitter: @mknauer23 and @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Previous Topic:RAP 3.0 : Workbench View Icons
Next Topic:[ANN] RAP 3.0M3
Goto Forum:
  


Current Time: Mon Feb 24 16:09:29 GMT 2020

Powered by FUDForum. Page generated in 0.01930 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top